Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans.lifecycle
Class StorageChangeLifecyclePolicyAction

    java.lang.Object
      oracle.ifs.beans.lifecycle.LifecyclePolicyActionAdapter
          oracle.ifs.beans.lifecycle.StorageChangeLifecyclePolicyAction

All Implemented Interfaces:
  LifecyclePolicyAction

    public class StorageChangeLifecyclePolicyAction

extends LifecyclePolicyActionAdapter

StorageChangeLifecyclePolicyAction is a LifecyclePolicyAction that performs movement of content storage within Medias and StorageGroups.

Field Summary
`static java.lang.String` | `MEDIA_NAME_PROPERTY` The name of the String property (in the LifecyclePolicyActionSpecification instance's PropertyBundle) of the name of the Media that the document should be associated with after execution of the policy action.
`static java.lang.String` | `MEDIA_OPTIONS_PROPERTY` The name of the String property (in the LifecyclePolicyActionSpecification instance's PropertyBundle) of the Media options PropertyBundle.
`static java.lang.String` | `MEDIA_PROPERTY` The name of the SystemObject property (in the LifecyclePolicyActionSpecification instance's PropertyBundle) of the Media that the document should be associated with after execution of the policy action.
`static java.lang.String` | `RELATIVE_PATH_PROPERTY` The name of the String property (in the LifecyclePolicyActionSpecification instance's PropertyBundle) whose value is a path relative to the base path of a BFILE media or the export path of a SnapLock media.
`static java.lang.String` | `STORAGEGROUP_NAME_PROPERTY` The name of the String property (in the LifecyclePolicyActionSpecification instance's PropertyBundle) of the StorageGroup that the document should be associated with after execution of the policy action.
`static java.lang.String` | `STORAGEGROUP_PROPERTY` The name of the SystemObject property (in the LifecyclePolicyActionSpecification instance's PropertyBundle) of the StorageGroup that the document should be associated with after execution of the policy action.

Fields inherited from class oracle.ifs.beans.lifecycle.LifecyclePolicyActionAdapter
`EVENT_BASED_PROPERTY, TIME_BASED_PROPERTY`

Constructor Summary
`StorageChangeLifecyclePolicyAction()` Constructs a StorageChangeLifecyclePolicyAction.

Method Summary
`LifecyclePolicyActionOutcome` | `execute(LifecyclePolicyEntry lpe, Document doc)` Execute the action for the specified document.
`void` | `initialize(LifecyclePolicyActionSpecification lpas)` Initialize this instance.

Methods inherited from class oracle.ifs.beans.lifecycle.LifecyclePolicyActionAdapter
`getSearchCondition, notify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MEDIA_PROPERTY

    public static final java.lang.String MEDIA_PROPERTY

  Description copied from class: `StorageChangeLifecyclePolicyAction`
  The name of the SystemObject property (in the LifecyclePolicyActionSpecification instance's PropertyBundle) of the Media that the document should be associated with after execution of the policy action.

  A null value will be ignored. If specified, this setting takes precedence over a MEDIA_NAME setting.

  See Also:
    Constant Field Values

### MEDIA_NAME_PROPERTY

    public static final java.lang.String MEDIA_NAME_PROPERTY

  Description copied from class: `StorageChangeLifecyclePolicyAction`
  The name of the String property (in the LifecyclePolicyActionSpecification instance's PropertyBundle) of the name of the Media that the document should be associated with after execution of the policy action.

  Null values or values that do not match an existing Media instance will be ignored.

  See Also:
    Constant Field Values

### STORAGEGROUP_PROPERTY

    public static final java.lang.String STORAGEGROUP_PROPERTY

  Description copied from class: `StorageChangeLifecyclePolicyAction`
  The name of the SystemObject property (in the LifecyclePolicyActionSpecification instance's PropertyBundle) of the StorageGroup that the document should be associated with after execution of the policy action.

  A null value will be ignored. If specified, this setting takes precedence over a STORAGEGROUP_NAME setting.

  See Also:
    Constant Field Values

### STORAGEGROUP_NAME_PROPERTY

    public static final java.lang.String STORAGEGROUP_NAME_PROPERTY

  Description copied from class: `StorageChangeLifecyclePolicyAction`
  The name of the String property (in the LifecyclePolicyActionSpecification instance's PropertyBundle) of the StorageGroup that the document should be associated with after execution of the policy action.

  Null values or values that do not match an existing StorageGroup instance will be ignored.

  See Also:
    Constant Field Values

### RELATIVE_PATH_PROPERTY

    public static final java.lang.String RELATIVE_PATH_PROPERTY

  Description copied from class: `StorageChangeLifecyclePolicyAction`
  The name of the String property (in the LifecyclePolicyActionSpecification instance's PropertyBundle) whose value is a path relative to the base path of a BFILE media or the export path of a SnapLock media.

  An additional path is appended to this value, so that the file system directory has a calendar organization based on the current time. For example, if the base path of a BFILE media were `/private/bfiles` and the value of this property were `finance/emea`, then the path to the file system directory for documents moved to BFILE on January 24, 2008 at 9:15 a.m. by a session with ID 123456 might be `/private/bfiles/finance/emea/2008/01/24/09/15.123456`.

  The value of this property is ignored unless the target media is a BFILE or SnapLock media instance, in which case the property is required.

  See Also:
    Constant Field Values

### MEDIA_OPTIONS_PROPERTY

    public static final java.lang.String MEDIA_OPTIONS_PROPERTY

  Description copied from class: `StorageChangeLifecyclePolicyAction`
  The name of the String property (in the LifecyclePolicyActionSpecification instance's PropertyBundle) of the Media options PropertyBundle.

  See Also:
    Constant Field Values

Constructor Detail

### StorageChangeLifecyclePolicyAction

    public StorageChangeLifecyclePolicyAction()

  Constructs a StorageChangeLifecyclePolicyAction.

Method Detail

### initialize

    public void initialize(LifecyclePolicyActionSpecification lpas)
                    throws IfsException

  Description copied from class: `StorageChangeLifecyclePolicyAction`
  Initialize this instance.

  Called immediately after construction (via the default constructor) and used so that the implementation can initialize session-independent state. Subsequent calls on this interface will often be called with a different session context than is specified in this method.

  This instance may be used concurrently by multiple threads. Therefore if any state is sensitive to this, the implementer must properly synchronize.

  Specified by:
    `initialize` in interface `LifecyclePolicyAction`
  Overrides:
    `initialize` in class `LifecyclePolicyActionAdapter`
  Parameters:
    `lpas` - the LifecyclePolicyActionSpecification that references this action
  Throws:
    `IfsException` - if the operation fails

### execute

    public LifecyclePolicyActionOutcome execute(LifecyclePolicyEntry lpe,
                                                Document doc)
                                         throws IfsException

  Description copied from class: `StorageChangeLifecyclePolicyAction`
  Execute the action for the specified document.

  The caller establishes a transaction context for the execution of this action. If the LifecyclePolicyActionOutcome indicates that the execution was successful, the transaction will be committed by the caller. Additionally, the LifecyclePolicyActionOutcome may indicate the nature of the updates performed on the document to indicate the new lifecycle state (if any) for the document. The standard behavior is to perform the following updates:

  - Updates the document to reflectt he lifecycle state of the current LifecyclePolicyEntry.
  - Updates the LifecycleDate to the current date and time.
  - Post an audit event to indicate the lifecycle state change.

  This implementation can decide not to execute the action based on custom logic, and indicates this by returning an appropriately constructed LifecyclePolicyActionOutcome. The caller will then abort the current transaction context. Similarly, if an exception is thrown, the caller will also abort the transaction, and log the exception information.

  Specified by:
    `execute` in interface `LifecyclePolicyAction`
  Overrides:
    `execute` in class `LifecyclePolicyActionAdapter`
  Parameters:
    `lpe` - the entry that references the LifecyclePolicyActionSpecification that indicates this implementation of LifecyclePolicyAction
    `doc` - the Document to process
  Returns:
    an indication of the execution outcome, including indications as to the updates that to be performed on the document
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD